#define LED_PIN D2  


#define BUTTON_PIN D4  

void setup() {

  Serial.begin(115200);

  pinMode(LED_PIN, OUTPUT);
  digitalWrite(LED_PIN, LOW); 

  pinMode(BUTTON_PIN, INPUT_PULLDOWN);

}

void loop() {

  int buttonState = digitalRead(BUTTON_PIN);

  if (buttonState == HIGH) {
    digitalWrite(LED_PIN, HIGH);
    
  } else {
    digitalWrite(LED_PIN, LOW); 
  }

  // Small delay for debounce and readability
  delay(100);
}
